
From: Corey Minyard <minyard@acm.org>

The IPMI driver include file needs to include compiler.h so it has definitions
for __user and such.

Signed-off-by: Corey Minyard <minyard@acm.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/ipmi.h |    1 +
 1 files changed, 1 insertion(+)

diff -puN include/linux/ipmi.h~ipmi-allow-userland-to-include-ipmih include/linux/ipmi.h
--- devel/include/linux/ipmi.h~ipmi-allow-userland-to-include-ipmih	2005-08-03 23:01:14.000000000 -0700
+++ devel-akpm/include/linux/ipmi.h	2005-08-03 23:01:14.000000000 -0700
@@ -35,6 +35,7 @@
 #define __LINUX_IPMI_H
 
 #include <linux/ipmi_msgdefs.h>
+#include <linux/compiler.h>
 
 /*
  * This file describes an interface to an IPMI driver.  You have to
_
